"use strict";
const common_vendor = require("../../common/vendor.js");
require("../../common/libraries/request.js");
require("../../common/store/useWatermarkStore.js");
const common_store_useWeAppAuthStore = require("../../common/store/useWeAppAuthStore.js");
require("../../common/store/useWorkStore.js");
const ME_knowledge_qa_model = require("./model.js");
common_store_useWeAppAuthStore.useWeAppAuthStore();
const method = {
  handleChangeTabs(e) {
    ME_knowledge_qa_model.useModel.currentTabs.value = e;
    console.log(e);
  },
  handleShowDetail() {
    common_vendor.index.showModal({
      title: "提示",
      showCancel: false,
      content: "内容还在编辑中，请稍微再访问...",
      success: function(res) {
        if (res.confirm) {
          console.log("用户点击确定");
        } else if (res.cancel) {
          console.log("用户点击取消");
        }
      }
    });
  }
};
exports.method = method;
